com.ftdi.j2xx.ft4222

## Class FT_4222_Defines.I2C_CMD

- java.lang.Object
- - com.ftdi.j2xx.ft4222.FT_4222_Defines.I2C_CMD

- Enclosing class:
    FT_4222_Defines

      public class FT_4222_Defines.I2C_CMD
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `I2C_MASTER_GET_HS`
    `static int` | `I2C_MASTER_GET_I2CMTP`
    `static int` | `I2C_MASTER_GET_STATUS`
    `static int` | `I2C_MASTER_RESET`
    `static int` | `I2C_MASTER_SET_HS`
    `static int` | `I2C_MASTER_SET_I2CMTP`
    `static int` | `I2C_MASTER_STATUS`
    `static int` | `I2C_SLAVE_ENABLE_CLOCK_STRETCH`
    `static int` | `I2C_SLAVE_GET_I2CSADR`
    `static int` | `I2C_SLAVE_GET_STATUS`
    `static int` | `I2C_SLAVE_RESET`
    `static int` | `I2C_SLAVE_SET_I2CSADR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FT_4222_Defines.I2C_CMD()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### I2C_MASTER_GET_STATUS

          public static final int I2C_MASTER_GET_STATUS

      See Also:
        Constant Field Values

    - #### I2C_MASTER_RESET

          public static final int I2C_MASTER_RESET

      See Also:
        Constant Field Values

    - #### I2C_MASTER_SET_I2CMTP

          public static final int I2C_MASTER_SET_I2CMTP

      See Also:
        Constant Field Values

    - #### I2C_MASTER_GET_I2CMTP

          public static final int I2C_MASTER_GET_I2CMTP

      See Also:
        Constant Field Values

    - #### I2C_MASTER_SET_HS

          public static final int I2C_MASTER_SET_HS

      See Also:
        Constant Field Values

    - #### I2C_MASTER_GET_HS

          public static final int I2C_MASTER_GET_HS

      See Also:
        Constant Field Values

    - #### I2C_MASTER_STATUS

          public static final int I2C_MASTER_STATUS

      See Also:
        Constant Field Values

    - #### I2C_SLAVE_GET_STATUS

          public static final int I2C_SLAVE_GET_STATUS

      See Also:
        Constant Field Values

    - #### I2C_SLAVE_RESET

          public static final int I2C_SLAVE_RESET

      See Also:
        Constant Field Values

    - #### I2C_SLAVE_SET_I2CSADR

          public static final int I2C_SLAVE_SET_I2CSADR

      See Also:
        Constant Field Values

    - #### I2C_SLAVE_GET_I2CSADR

          public static final int I2C_SLAVE_GET_I2CSADR

      See Also:
        Constant Field Values

    - #### I2C_SLAVE_ENABLE_CLOCK_STRETCH

          public static final int I2C_SLAVE_ENABLE_CLOCK_STRETCH

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### FT_4222_Defines.I2C_CMD

          public FT_4222_Defines.I2C_CMD()

About FTDI | FTDI Licence Terms